Search orders
- http
- shell
- python
- php
- C#
GET /orders?q=param1,param2,... HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
$ curl "https://api.aplazame.com/orders?q=param1,param2,..." \
-H "Accept: application/vnd.aplazame.v1+json" \
-H "Authorization: Bearer api_private_key"
response = client.orders({
'q': 'param1,param2,...'
})
$result = $aplazameClient->get("/orders", [
"q" => "param1,param2,...",
]);
dynamic result = client.Get($"/orders?q=param1,param2,...");
To search order queryset.
GET https://api.aplazame.com/orders?q=param1,param2,...
Aplazame API allows a list of field names that will be searched whenever a search query with the parameter q is submitted.
Searches will use case-insensitive partial matches. The search parameter may contain multiple search terms, which should be separated by whitespaces and/or commas. If multiple search terms are used, then objects will be returned in the list only if all the provided terms are matched.
Fields
Search by name, email, domain, etc.
- http
- shell
- python
- php
- C#
GET /orders?q=Alice,@gmail,.es HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
$ curl "https://api.aplazame.com/orders?q=Alice,@gmail,.es" \
-H "Accept: application/vnd.aplazame.v1+json" \
-H "Authorization: Bearer api_private_key"
response = client.orders({
'q': 'Alice,@gmail,.es'
})
$result = $aplazameClient->get("/orders", [
"q" => "Alice,@gmail,.es",
]);
dynamic result = client.Get($"/orders?q=Alice,@gmail,.es");
| Parameter | Type | Description |
|---|---|---|
| account-first_name | First name | |
| account-last_name | Last name | |
| account-email |